<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Utils/yamlmatlab/datadump.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0a824aa1f70ce3b829ef378253b085da.html">Utils</a></li><li class="navelem"><a class="el" href="dir_a8e1b37497156ef9f662c95c0317de5f.html">yamlmatlab</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">datadump.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae10344fd226cddd66a9daa20fe24af83"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="datadump_8m.html#ae10344fd226cddd66a9daa20fe24af83">datadump</a> (in data)</td></tr>
<tr class="separator:ae10344fd226cddd66a9daa20fe24af83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dac816958578eab7a490adfb9814f3f"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="datadump_8m.html#a5dac816958578eab7a490adfb9814f3f">recurse</a> (in data, in level, in addit)</td></tr>
<tr class="separator:a5dac816958578eab7a490adfb9814f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a240011556d73b9536ae68015d06052"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="datadump_8m.html#a6a240011556d73b9536ae68015d06052">iter_cell</a> (in data, in level, in addit)</td></tr>
<tr class="separator:a6a240011556d73b9536ae68015d06052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71f135b4becfdae9e04200cafce2ba89"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="datadump_8m.html#a71f135b4becfdae9e04200cafce2ba89">iter_struct</a> (in data, in level, in addit)</td></tr>
<tr class="separator:a71f135b4becfdae9e04200cafce2ba89"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae10344fd226cddd66a9daa20fe24af83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae10344fd226cddd66a9daa20fe24af83">&#9670;&nbsp;</a></span>datadump()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function datadump </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a240011556d73b9536ae68015d06052"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a240011556d73b9536ae68015d06052">&#9670;&nbsp;</a></span>iter_cell()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function iter_cell </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>addit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a71f135b4becfdae9e04200cafce2ba89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71f135b4becfdae9e04200cafce2ba89">&#9670;&nbsp;</a></span>iter_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function iter_struct </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>addit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5dac816958578eab7a490adfb9814f3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dac816958578eab7a490adfb9814f3f">&#9670;&nbsp;</a></span>recurse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function recurse </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>addit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
